<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>workflow-engine</artifactId>
        <groupId>cn.axzo.workflow</groupId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <version>${revision}</version>
    <artifactId>workflow-engine-core</artifactId>
    <packaging>jar</packaging>
    <name>Workflow Engine Core</name>
    <properties>
        <flowable.version>6.7.2</flowable.version>
        <axzo-bom.version>2.0.0-SNAPSHOT</axzo-bom.version>
        <axzo-dependencies.version>2.0.0-SNAPSHOT</axzo-dependencies.version>
        <lombok.version>1.18.22</lombok.version>
        <mapstruct.version>1.4.2.Final</mapstruct.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>cn.axzo.basics</groupId>
            <artifactId>basics-common</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.axzo.framework</groupId>
            <artifactId>axzo-processor-spring-boot-starter</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>cn.axzo.framework</groupId>
            <artifactId>axzo-mybatisplus-spring-boot-starter</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- 引入 Flowable JSON Convertor
        但前端的功能不兼容改工具类,估移除
         -->
        <!--<dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-json-converter</artifactId>
            <version>${flowable.version}</version>
        </dependency>-->

        <!-- 引入 BPMN 引擎 -->
        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-spring-boot-starter-basic</artifactId>
            <version>${flowable.version}</version>
        </dependency>

        <!-- 引入 Form 引擎(基于 Flowable) -->
        <!--<dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-form-spring-configurator</artifactId>
            <version>${flowable.version}</version>
        </dependency>-->

        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-spring-boot-starter-actuator</artifactId>
            <version>${flowable.version}</version>
        </dependency>

        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-json-converter</artifactId>
            <version>${flowable.version}</version>
        </dependency>

        <dependency>
            <groupId>cn.axzo.framework.rocketmq</groupId>
            <artifactId>axzo-common-rocketmq</artifactId>
            <optional>true</optional>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>cn.axzo.workflow</groupId>
            <artifactId>workflow-engine-api</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.axzo.workflow</groupId>
            <artifactId>workflow-engine-common</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.axzo.workflow</groupId>
            <artifactId>workflow-engine-form</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.maven</groupId>
            <artifactId>maven-artifact</artifactId>
        </dependency>

        <dependency>
            <groupId>jakarta.servlet</groupId>
            <artifactId>jakarta.servlet-api</artifactId>
        </dependency>

        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>alibaba-dingtalk-service-sdk</artifactId>
        </dependency>
    </dependencies>
</project>
